Panda3D

Loading...
Searching...
No Matches
Functions
showBase.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "directbase.h"`
`#include "eventHandler.h"`
`#include "graphicsWindow.h"`
`#include "graphicsPipe.h"`
`#include "animControl.h"`
`#include "pointerTo.h"`
`#include "dconfig.h"`
`#include "dSearchPath.h"`
`#include "configVariableSearchPath.h"`
`#include "nodePath.h"`

Go to the source code of this file.

## Functions
EXPCL_DIRECT_SHOWBASE void | add_fullscreen_testsize (int xsize, int ysize)
EXPCL_DIRECT_SHOWBASE void | allow_accessibility_shortcut_keys (bool allowKeys)
| ConfigureDecl (config_showbase, EXPCL_DIRECT_SHOWBASE, EXPTP_DIRECT_SHOWBASE)
BEGIN_PUBLISH EXPCL_DIRECT_SHOWBASE ConfigVariableSearchPath & | get_particle_path ()
EXPCL_DIRECT_SHOWBASE void | init_app_for_gui ()
EXPCL_DIRECT_SHOWBASE bool | query_fullscreen_testresult (int xsize, int ysize)
EXPCL_DIRECT_SHOWBASE void | runtest_fullscreen_sizes (GraphicsWindow *win)
EXPCL_DIRECT_SHOWBASE void | store_accessibility_shortcut_keys ()
EXPCL_DIRECT_SHOWBASE void | throw_new_frame ()

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  shochet

Date
  2000-02-02

Definition in file showBase.h.

## Function Documentation

## ◆ add_fullscreen_testsize()

EXPCL_DIRECT_SHOWBASE void add_fullscreen_testsize | ( | int | xsize,
|  | int | ysize )

Definition at line 101 of file showBase.cxx.

## ◆ allow_accessibility_shortcut_keys()

EXPCL_DIRECT_SHOWBASE void allow_accessibility_shortcut_keys | ( | bool | allowKeys | ) |

Definition at line 142 of file showBase.cxx.

## ◆ get_particle_path()

BEGIN_PUBLISH EXPCL_DIRECT_SHOWBASE ConfigVariableSearchPath & get_particle_path | ( |  | ) |

Definition at line 53 of file showBase.cxx.

## ◆ init_app_for_gui()

EXPCL_DIRECT_SHOWBASE void init_app_for_gui | ( |  | ) |

Definition at line 67 of file showBase.cxx.

## ◆ query_fullscreen_testresult()

EXPCL_DIRECT_SHOWBASE bool query_fullscreen_testresult | ( | int | xsize,
|  | int | ysize )

Definition at line 121 of file showBase.cxx.

## ◆ runtest_fullscreen_sizes()

EXPCL_DIRECT_SHOWBASE void runtest_fullscreen_sizes | ( | GraphicsWindow * | win | ) |

Definition at line 116 of file showBase.cxx.

## ◆ store_accessibility_shortcut_keys()

EXPCL_DIRECT_SHOWBASE void store_accessibility_shortcut_keys | ( |  | ) |

Definition at line 133 of file showBase.cxx.

## ◆ throw_new_frame()

EXPCL_DIRECT_SHOWBASE void throw_new_frame | ( |  | ) |

Definition at line 60 of file showBase.cxx.